%define upstream_name    App-Module-Locate
%define upstream_version 0.7

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Interface for module locate
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Module::Locate)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/mlocate
%{_mandir}/man1/mlocate.1*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.700.0-9.mga10
+ Revision: 2197697
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.700.0-8.mga9
+ Revision: 1802042
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.700.0-7.mga8
+ Revision: 1492710
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.700.0-6.mga7
+ Revision: 1265682
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.700.0-5.mga6
+ Revision: 1022546
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.700.0-4.mga6
+ Revision: 944675
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.700.0-3.mga5
+ Revision: 746133
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.700.0-2.mga5
+ Revision: 683517
- Mageia 5 Mass Rebuild

* Wed Feb 05 2014 shlomif <shlomif> 0.700.0-1.mga5
+ Revision: 583764
- New ver 0.7

* Fri Oct 18 2013 umeabot <umeabot> 0.600.0-3.mga4
+ Revision: 509138
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.600.0-2.mga3
+ Revision: 363078
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.600.0-1.mga3
+ Revision: 341914
- update to 0.6

* Wed Sep 26 2012 jquelin <jquelin> 0.500.0-1.mga3
+ Revision: 297943
- update to 0.5
- imported package perl-App-Module-Locate


* Mon Jul 09 2012 cpan2dist 0.3-1mga
- initial mageia release, generated with cpan2dist
